package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 24.查询积分申请结果 GET请求方式
 * @class: PointApplyResultReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:39
 */
@Data
public class Nft024PointApplyResultReq implements Serializable {

    /**
     * 平台公钥
     */
    private String platformPubKey;
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft024PointApplyResultReq obj = new Nft024PointApplyResultReq();
    private static final long serialVersionUID = 24764298865887025L;

    public static Nft024PointApplyResultReq getNew() {
        try {
            return (Nft024PointApplyResultReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft024PointApplyResultReq();
        }
    }
}
